[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinterCanvas.BeginPage

Performs actions needed when a page is started.

## Declaration

Source position: printers.pas line 116

`public procedure TPrinterCanvas.BeginPage; virtual;`

## Description

BeginPage is a procedure used to perform actions needed when a page is started for the canvas.

BeginPage is called from the TPrinter.BeginPage method.

## See also

TPrinterCanvas.PageNumber |  | The number for the current page in the printer canvas.
TPrinterCanvas.NewPage |  | Performs actions needed when a new page is started.
TPrinter.BeginPage |  | Begins a page on the print device.